WG-KEYGEN(8) | System Manager's Manual | WG-KEYGEN(8)

# NAME

`wg-keygen` — generate keys for wg interfaces

# SYNOPSIS

`wg-keygen` |

`wg-keygen` | `--pub`

`wg-keygen` | `--psk`

# DESCRIPTION

`wg-keygen` generates keys for wg(4).

`wg-keygen`
  Generate a private key and print it to standard output.
`wg-keygen` `--pub`
  Read a private key from standard input, and print the corresponding public key to standard output.
`wg-keygen` `--psk`
  Generate a preshared key and print it to standard output.

# EXAMPLES

See wg(4) for example usage.

# SEE ALSO

wg(4), wgconfig(8)

# HISTORY

The `wg-keygen` command first appeared in NetBSD 10.0.

# AUTHORS

The `wg-keygen` command was written by Ryota Ozaki ⟨ozaki.ryota@gmail.com⟩.

August 20, 2020 | NetBSD 11.99